/*--------------------------------------------------------------------------------------------------------

# SEARCH

--------------------------------------------------------------------------------------------------------*/

.sap-search div[role="search"] {
   box-sizing: border-box;
   margin: 3rem auto;
   max-width: 37.5rem;
   position: relative;
   color: #303030;
}

.sap-search input[type="text"] {
   box-sizing: border-box;
   background: var(--env-form-input-background-color);
   border: 1px solid var(--env-form-input-border-color);
   border-radius: var(--env-form-input-border-radius);
   padding: .75rem 1.5rem;
   width: 100%;
   color: var(--env-form-input-font-color);
   font-weight: 500;
   font-size: 1rem;
   display: inline-block;
}

.sap-search input[type="image"] {
   box-sizing: border-box;
   position: absolute;
   top: 0;
   right: 0;
   bottom: 0;
   border: 0;
   height: 100%;
   background: none;
   cursor: pointer;
   padding: 1rem 1.5rem;
   transition: all 0.3s ease-in-out;
   color: var(--env-form-input-font-color);
}

.sap-search ::-webkit-input-placeholder,
.sap-search ::-moz-placeholder,
.sap-search :-ms-input-placeholder,
.sap-search ::-ms-input-placeholder,
.sap-search ::placeholder {
   opacity: 1;
   color: var(--env-form-input-font-color);
}

/*--------------------------------------------------------------------------------------------------------

# FORMATION OF LIST AND FACETS

--------------------------------------------------------------------------------------------------------*/


.sap-search__result-wrapper {
   display: flex;
   margin-bottom: 2rem;
}

@media (min-width: 768px) {

   .sap-search__result-wrapper {
      flex-flow: row-reverse;
      justify-content: center;
      align-items: flex-start;
   }

}

@media (max-width: 767px) {
   .sap-search__result-wrapper {
      flex-flow: column;
   }
}


/*--------------------------------------------------------------------------------------------------------

# LIST

--------------------------------------------------------------------------------------------------------*/

.sap-search__result {
   padding: 0;
   margin: 0;
   list-style: none;
}

.sap-search__result-item {
   background: var(--env-section-background-color);
   display: flex;
   position: relative;
   margin-bottom: 1.75rem;
}

.sap-search__text {
   padding: 1.75rem 2rem;
}

.sap-search__meta {
   margin-top: 1em;
	display: flex;
   flex-direction: column;
}

.sap-search__meta span, .sap-search__meta span.normal{
    font-size: var(--env-font-size-small);
 }

.sap-search__text a.subheading,
.sap-search__text p {

}

.sap-search__text a.subheading:before {
   content: '';
   position: absolute;
   top: 0;
   right: 0;
   bottom: 0;
   left: 0;
}

.sap-search__text a.subheading:after {
   content: '';
   /*display: inline-block;*/
   display: none;
   vertical-align: middle;
   background-color: currentColor;
   mask-image: url(/images/18.348d6de218de83ec3fa1b51/1709200880664/chevron-right.svg);
   mask-position: center;
   mask-repeat: no-repeat;
   mask-size: 100%;
   height: var(--env-font-size-medium);
   width:  calc(var(--env-font-size-small));
   margin-left: 0.25em;
   margin-bottom: 0.15em;
   transition: transform 0.2s ease-in-out;
}

.sap-search__text a.subheading:hover:after {
   transform: translateX(0.25rem);
}

.sap-search__text p.normal {
   overflow: hidden;
   text-overflow: ellipsis;
   line-clamp: 3;
}



@media (min-width: 1025px) {

   .sap-search__result-item {
      flex-flow: row;
   }
}

@media (max-width: 1024px) and (min-width: 768px) {
   .sap-search__result-item {
      flex-flow: column-reverse;
   }
}

@media (min-width: 768px) {

   .sap-search div[role="main"] {
      width: calc((100%/1.5));
   }

   .sap-search__result-item {
      justify-content: space-between;
   }
   
}

@media (max-width: 767px) {
   .sap-search__result-item {
      flex-flow: column-reverse;
   }
   
   .sap-search__text a:after {
      width: .5rem;
      height: 1rem;
   }
}

/*--------------------------------------------------------------------------------------------------------

# FACETS

--------------------------------------------------------------------------------------------------------*/

.sap-search__filter {
   float: none;
   width: 100%;
}

.sap-search__filter h2.subheading {
   margin: 0 !important;
}


.sap-search__filter ul {
   margin: .75rem 0;
}

.sv-search-facet + .sv-search-facet {
   margin-top: 1.5rem;
}

.sap-search__facet-item {
   margin-bottom: .5rem;
   display: flex;
   position: relative;
   align-items: center;
   font-weight: 700;
}

.sap-search__facet-item:before {
   margin-right: 0.5rem;
   content: '';
   display: inline-block;
   height: 1.25rem;
   width: 1.25rem;
   border: 1px solid var(--env-border-color);
   vertical-align: middle;
}

.sap-search__facet-item a {
   font-weight: 700;
   width: calc(100% - 2rem);
}

.sap-search__facet-item a:after {
   content: '';
   position: absolute;
   top: 0;
   right: 0;
   bottom: 0;
   left: 0;
}

.sap-search__facet-item--no-value {
   opacity: 0.5;
}

.sap-search__facet-item--selected:before {
   background-color: rgb(180, 13, 30);
   border-color: rgb(180, 13, 30);
   background-image: url('/images/18.14fc4b371808aa1b2381620e/1653466261415/icon-checked.svg');
   background-position: center;
   background-size: .875rem;
   background-repeat: no-repeat;
}

@media (min-width: 768px) {
   .sap-search__filter {
      margin-left: 2.5rem;
      max-width: 20rem;
      padding: 1.5rem 2rem;
   }

   .sap-search__facet-toggle {
      display: none !important;

   }

   .sap-search__filter .env-collapse {
      display: block !Important;
      padding: 0 !important;
   }
}

@media (max-width: 767px) {
   .sap-search__filter h2 {
      display: none;
   }

   .sap-search__filter {
      margin-bottom: 1.5rem;
   }

}

/*--------------------------------------------------------------------------------------------------------

# PAGINATION

--------------------------------------------------------------------------------------------------------*/

.sap-search .pagination {
   display: flex;
   align-items: center;
   width: 100%;
   justify-content: center;
   margin: 2rem 0;
}

.sap-search .pagination .prev, 
.sap-search .pagination .next {
   background-color: transparent;
   font-size: var(--env-font-size-base);
   color: var(--env-font-color) !important;
}

.sap-search .pagination a,
.sap-search .pagination span {
   border-width: var(--env-pagination-border-width);
   border-style: var(--env-pagination-border-style);
   border-color: var(--env-form-border-color);
   color: var(--env-font-color);
   word-break: break-all;
   margin: 0;
}

.sap-search .pagination [aria-current] {
   background-color: var(--env-element-primary-background-color);
   color: var(--env-element-primary-font-color);;
   font-weight: 500;
}

.sap-search .pagination .prev.current {
   opacity: 0.5;
}

.sap-search .pagination a:hover {
   background-color: var(--env-element-background-color-dark);
   border-color: var(--env-element-background-color-dark);
   color: var(--env-font-color);
}

@media (min-width: 768px) {
	.sap-search .pagination a,
   .sap-search .pagination span {
      padding: .5rem 1rem;
   	line-height: 1.4;
   }
}

@media (max-width: 767px) {
   .sap-search .pagination a,
   .sap-search .pagination span {
      padding: .5rem .5rem;
   	line-height: 1.2;
      font-size: .875rem;
   }
   
}